<template>
  <div class="container">
    <div class="line-chart">
     <line-chart
      v-if="loaded"
      :chartlabels="Catalogues"
      :chartdata="hope"
      :date="date_dummy"
      :options="options"/>
      </div>
  </div>
</template>

<script>
/* eslint-disable */
import axios from 'axios'
import Vue from 'vue'
import Trend from 'vuetrend'
import LineChart from './LineChartTotal.vue'


Vue.use(Trend)

export default {
  name: 'Evolution',
  components: { LineChart },
  data () {
    return {
      loaded: false,
      chartdata: [10, 20, 100],
      Catalogues_Sum: '',
      Catalogues: [],
      loading: true,
      desc: ['yes', 'no', 'unknown'],
      data: [],
      showError: false,
      errorMessage: 'No Data availale.',
      name: 'name',
      CountryCount: 'CountryCount',
      ascending: true,
      sortColumn: '',
      isActive: false,
      isLoading: true,
      EvolutionCountryCount: [],
      EvolutionCountryDate: [],
      labels: [],
      count: [],
      count_dummy: [],
      count_dummy1: [],
      Catalogues: [],
      total: [['Total']],
      date_dummy: [],
      hope: [],
      result: [],
      finalArray: []
    }
  },
  mounted () {
    if (this.$route.params.package) {
      this.loading = true
      this.package = this.$route.params.package
    }
    this.addEvolutionCountryDate(this.Catalogues)
  },
 methods: {
    addLabels () {
        for (var l = 0; l < this.Catalogues.stats.length; l++) {
            this.count_dummy.push(+this.Catalogues.stats[l].count)   //+ macht aus String zahl 
        }
        this.hope.push(this.count_dummy)
        console.log(this.hope)
        for (var l = 0; l < this.Catalogues.stats.length; l++) {
          this.date_dummy.push(this.Catalogues.stats[l].date)
        }
      },
    round (zahl, nStelle) {
      zahl = (Math.round(zahl * nStelle) / nStelle)
      return zahl
    },
    requestData () {
      axios.get(this.$env.ROOT_API + '/catalogue-statistics/data/num-datasets', { // http://odp-lic.ppe-aws.europeandataportal.eu:9090/data/ds-per-catalogue'
      })
        .then(response => {
          // console.log(response.data)
          this.Catalogues = response.data
          this.loaded = true
          this.loading = false
          this.$emit('changeLoading', this.loading)
          this.addLabels()
        })
        .catch(err => {
          this.errorMessage = err.response.data.error
          this.showError = true
        })
    },
    isMobile () {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
    isExplorer () {
      if (navigator.userAgent.indexOf('MSIE ') > -1 || navigator.userAgent.indexOf('Trident/') > -1 || window.navigator.userAgent.indexOf('Edge') > -1) {
        //  alert ('It is InternetExplorer')
        return true
      } else {
        //  alert('It is NOT InternetExplorer')
        return false
      }
    }
  },
  computed: {
  },
  Filters: {
    addPercentage: function (value) {
      return this.value + '%'
    }
  },
  created: function () {
    this.requestData()
  }
}
</script>

<style>

.line-chart{
  padding-top: 50px;
}

#detail-table{
  margin-top:25px;
}

.total-number{
  padding-left: 5px;
  margin-bottom: 10px;
  float: right;
}


.active-table-head{
  text-decoration:underline;
}

.active{
   text-decoration: none;
}

.hide{
  visibility: hidden;
  font-size: 0px;
}

 #percent {
    text-align: center;
    color: #000;
    margin-right: 135px;
    font-size: 16px;
  }

  #less{
    font-size: 12px;
    color: darkgrey;
  }

  #sticky {
  background-color: #fff !important;
  background: solid;
  min-width: 952px !important;
}

</style>
